
Redmine - Defect #7023

Copy Function Doesn't Copy SubTasks

2010-12-02 22:06 - John S

Status: Closed Start date: 2010-12-02

Priority: Normal Due date:  

Assignee:  % Done: 90%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.0.4

Description

The copy function does not copy the subtasks related to the task being copied. However, when you move a parent task, all subtasks

are moved with it.

Related issues:

Is duplicate of Redmine - Feature #6965: Option to Copy Subtasks when copying... Closed 2010-11-23

History

#1 - 2011-01-05 18:48 - John S

- % Done changed from 0 to 90

We have been able to make changes so that when you copy a task that has subtasks related to it, all the subtasks are copied as well.

We made the changes in the issues.rb model. If anyone needs the same, let me know.

#2 - 2011-01-06 14:34 - Yrs ONE

This functionality will be very useful for us.

#3 - 2011-01-06 14:58 - John S

- File issue.rb added

Here is a copy of the issues.rb file. You need to replace the existing issues.rb file. The changes that were made start on line 169.

Hope it helps.

#4 - 2011-01-06 17:26 - Yrs ONE

Thanks !

#5 - 2011-01-06 19:18 - Anonymous

I have tested it and seems to work fine, but I dont like the idea of replacing the existing issue.rb.

Could it be possible to make this "copy function" as a plugin?

#6 - 2011-01-06 19:22 - John S

I am sure it's possible. But I don't have the knowledge or time to make that change. The source code is there... feel free to do whatever you want with

it. Wish I could help out more but I already put too much time in figuring out how to make this work and testing it out.

Good Luck!

#7 - 2011-01-06 19:52 - Anonymous

tnx I'll give it a shot!

#8 - 2011-01-14 09:55 - Daniel Reiche

Any chance of this making it into 1.1.x or at least trunk?

#9 - 2011-01-19 16:46 - Daniel Reiche

- File issue.rb.1.1.0.copy_children.patch added

2025-05-02 1/3



added patch for 1.1.0 branch to incorporate modified issue.rb from John S

#10 - 2011-01-20 09:45 - Daniel Reiche

- File issue.rb.1.1.0.copy_children.patch added

Beginners Mistake: accidentally merged the copy_children function as private method.

Revised in latest patch

#11 - 2011-03-16 15:08 - Miro Karpis

please, help needed: I have changed the issue.rb + restarted apache and nothing happened (when I copy main tasks it does not copy subtasks). Am I

missing something?

#12 - 2011-03-16 15:13 - John S

Also restart the mongrel services?

#13 - 2011-03-16 16:36 - Miro Karpis

John S wrote:

Also restart the mongrel services?

 didn't work. Not sure if the order is important (apache and mongrel).

#14 - 2011-03-16 16:40 - John S

Miro Karpis wrote:

John S wrote:

Also restart the mongrel services?

 didn't work. Not sure if the order is important (apache and mongrel).

 All I did was change my issues.rb file and restart all the services. If that isn't working for you, I am not sure why. Hopefully someone else can provide

an answer. (Mine still works as coded)

#15 - 2011-07-29 12:00 - Zbynek Drlik

- Assignee set to Jean-Philippe Lang

+1

#16 - 2011-08-16 22:22 - Liam Randall

Testing this on a bitnami 1.2.0 stable host:

bitnami@linux:/opt/bitnami/apps/redmine$ sudo patch p0 < /home/bitnami/redmine/patches/copy_children/issue.rb.1.1.0.copy_children.patch

patching file app/models/issue.rb

Hunk #1 succeeded at 205 (offset 28 lines).

Hunk #2 FAILED at 902.

1 out of 2 hunks FAILED - saving rejects to file app/models/issue.rb.rej

Went ahead and tested anyway and seems to function properly.

#17 - 2011-08-17 09:35 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

Please don't assign issues.

#18 - 2011-10-20 14:22 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #6965.
Files

issue.rb 31.1 KB 2011-01-06 John S

issue.rb.1.1.0.copy_children.patch 1.24 KB 2011-01-19 Daniel Reiche

issue.rb.1.1.0.copy_children.patch 1.43 KB 2011-01-20 Daniel Reiche
